gnutls_srp_set_server_credentials_file(3)

NAME
gnutls_srp_set_server_credentials_file - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_srp_set_server_credentials_file(gnutls_srp_server_credentials_t res, const char * password_file, const char * password_conf_file);

ARGUMENTS

gnutls_srp_server_credentials_t res
    is a gnutls_srp_server_credentials_t type.

const char * password_file
    is the SRP password file (tpasswd)

const char * password_conf_file
    is the SRP password conf file (tpasswd.conf)

DESCRIPTION
This function sets the password files, in a gnutls_srp_server_credentials_t type. Those password files hold usernames and verifiers and will be used for SRP authentication.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, or an error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/